Main Page Class Hierarchy Compound List File List Compound Members File Members

# UDPConnection Class Reference

Connessione UDP. More...

`#include <UDPConnection.h>`

Inheritance diagram for UDPConnection:

List of all members.

## Public Methods
| UDPConnection ()
| Costruttore di default. More...
| UDPConnection (antStackRef ipStack)
| Costruttore di base. More...
virtual | ~UDPConnection ()
| Distruttore di default.
antModuleRef & | getEndpoint ()
| Enpoint della connessione. More...
void | setState (ConnectionState st)
| Modifica lo stato della connessione. More...
ConnectionState | getState ()
| Restituisce lo stato corrente della connessione. More...
virtual OStatus | initConnection ()=0
| Inizializza la connessione. More...
virtual OStatus | stop ()=0
| Blocca la connessione. More...
## Protected Attributes
antModuleRef | endpoint
| Riferimento all'Endpoint della connessione.
antStackRef | ipstackRef
| Riferimento allo stack TCP/IP dell'Aibo.
ConnectionState | state
| Stato della connessione. More...

## Detailed Description

Connessione UDP.

Implementa una connessione UDP priva di buffer da specializzare attraverso l'ereditarieta'

## Constructor & Destructor Documentation

UDPConnection::UDPConnection | ( |  | ) | `[inline]`

| Costruttore di default. Dopo l'invocazione la connessione sara' INVALID.

UDPConnection::UDPConnection | ( | antStackRef | ipStack | ) | `[inline]`

  | Costruttore di base. Costruisce una connessione impostando lo stato a CLOSED. Parameters:
  ipStack | riferimento allo stack TCP/IP dell'Aibo.

## Member Function Documentation

antModuleRef& UDPConnection::getEndpoint | ( |  | ) | `[inline]`

| Enpoint della connessione. Restituisce l'Endpoint della connessione UDP. Returns: endpoint della connessione.

ConnectionState UDPConnection::getState | ( |  | ) | `[inline]`

| Restituisce lo stato corrente della connessione. Returns: stato corrente

virtual OStatus UDPConnection::initConnection | ( |  | ) | `[pure virtual]`

| Inizializza la connessione. Da implementare. Ha il compito di inizializzare i buffer, creare l'endpoint e fare il bind della connessione. Returns: oSUCCESS se ha avuto successo; oFAIL altrimenti. Implemented in UDPRecvConnection.

void UDPConnection::setState | ( | ConnectionState | st | ) | `[inline]`

  | Modifica lo stato della connessione. Parameters:
  st | nuovo stato della connessione.

virtual OStatus UDPConnection::stop | ( |  | ) | `[pure virtual]`

| Blocca la connessione. Da implementare. Chiude la connessione, dopo la chiamata a questo metodo la connessione non sara' piu' utilizzabile, per riutilizzarla sara' necessario effettuare un nuovo initConnection sulla connessione. Returns: oSUCCESS se ha avuto successo; oFAIL altrimenti. Implemented in UDPRecvConnection.

## Member Data Documentation

ConnectionState UDPConnection::state`[protected]`

| Stato della connessione. See also: ConnectionState

The documentation for this class was generated from the following file:

- /home/gilberto/prog/tesi2.31/TelepatiUdp/UDPConnection.h